Macro SOLIDWORKS permettant d'activer la fonction "Rotation automatique de la vue normale au plan de l'esquisse lors de la création et de la modification d'une esquisse".

Article par Prasadh Annalingam, CSWE mis à jour le 17 novembre 2020

Article

L'option "Rotation automatique de la vue normale au plan d'esquisse lors de la création et de l'édition d'une esquisse", comme son nom l'indique, fait automatiquement pivoter l'orientation de la vue pour qu'elle soit normale au plan d'esquisse lors de sa création ou de son édition. Dans cet article, je vais vous montrer comment assigner cette option à un interrupteur à bascule.

L'option se trouve dans Outils > Options > Options système > Esquisse > Rotation automatique de la vue normale au plan d'esquisse lors de la création et de la modification d'une esquisse. Cette option est désactivée (non cochée) par défaut dans SOLIDWORKS 2020 et antérieurs, mais elle est activée (cochée) par défaut dans SOLIDWORKS 2021.

SOLIDWORKS : rotation automatique de la vue normale au plan de l'esquisse lors de la création et de la modification d'une esquisse.

Rotation automatique de la vue normale au plan de l'esquisse lors de la création et de l'édition d'une esquisse.

Chaque utilisateur est différent ; certains préfèrent que cette option soit activée en permanence, d'autres non. Si vous êtes comme moi, vous préférerez peut-être activer et désactiver cette option à votre guise d'un simple clic sur un bouton. Bien qu'il n'existe pas de bouton de commande pour cette option du système, une macro rapide peut être créée pour activer et désactiver l'option à volonté. Il suffit de copier et de coller le code ci-dessous dans une nouvelle macro et le tour est joué.

Option explicite
' ******************************************************************************
Créé par Javelin Technologies. Veuillez utiliser cette macro à votre propre discrétion.
' Javelin Technologies n'est pas responsable d'éventuels résultats non désirés. Toujours tester avant de l'utiliser !
' Ce code va basculer l'option "Auto-rotation de la vue normale au plan de l'esquisse lors de la création et de l'édition d'une esquisse".
' ******************************************************************************
Dim swApp As SldWorks.SldWorks
Dim boolstatus As Boolean
Sub main()
Set swApp = Application.SldWorks
Vérifiez le paramétrage actuel des options
boolstatus = swApp.GetUserPreferenceToggle(swUserPreferenceToggle_e.swAutoNormalToSketchMode)
Activez le paramètre
Si boolstatus Then
    swApp.SetUserPreferenceTogle swUserPreferenceToggle_e.swAutoNormalToSketchMode, False
Else
    swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swAutoNormalToSketchMode, True
End If
End Sub

Si vous ne connaissez pas les macros, veuillez consulter l'article de blog suivant sur la création de boutons de macros dans SOLIDWORKS.

REMARQUE : les exemples d'API sont fournis tels quels et ne doivent être utilisés qu'à titre de référence. Vous pouvez les utiliser dans votre environnement, les modifier ou les distribuer, mais Javelin n'est pas responsable des types de dommages quels qu'ils soient (y compris, mais sans s'y limiter, les dommages liés à la perte d'utilisation, de données, de bénéfices ou d'activité) résultant de l'utilisation de ces informations, applications ou services.

En savoir plus sur les macros/API de SOLIDWORKS

Vous pouvez en savoir plus sur la façon de les créer sur l'aide SOLIDWORKS API ainsi que sur les formations proposées par Javelin, SOLIDWORKS VB for Applications et les cours de formation SOLIDWORKS API, que vous pouvez suivre en direct en ligne ou dans l'une de nos salles de classe canadiennes. Consultez notre calendrier pour en savoir plus.

Trouver un contenu connexe par TAG :

Prasadh Annalingam, CSWE

Prasadh est un expert certifié SOLIDWORKS et un analyste des applications techniques basé au siègede Javelin Oakville.